<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIPregelGraphLibrary: undirected_graph&lt; EDGE_TYPE, DataType, AlgDataType &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIPregelGraphLibrary
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classundirected__graph-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">undirected_graph&lt; EDGE_TYPE, DataType, AlgDataType &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a321f39b906da9ca91aabddefa66c00db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a321f39b906da9ca91aabddefa66c00db"></a>
typedef <a class="el" href="classvertex__it.html">vertex_it</a>&lt; EDGE_TYPE, <br class="typebreak" />
DataType, AlgDataType &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>CVertex</b></td></tr>
<tr class="separator:a321f39b906da9ca91aabddefa66c00db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47e1ba19c68ecd54e5cfe3ac09ef7ca0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a47e1ba19c68ecd54e5cfe3ac09ef7ca0"></a>
typedef set&lt; EDGE_TYPE &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>EDGE_LIST_TYPE</b></td></tr>
<tr class="separator:a47e1ba19c68ecd54e5cfe3ac09ef7ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d755979b2a3023ccebf6402a431a536"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d755979b2a3023ccebf6402a431a536"></a>
typedef set&lt; <a class="el" href="classvertex__it.html">CVertex</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_LIST_TYPE</b></td></tr>
<tr class="separator:a1d755979b2a3023ccebf6402a431a536"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1084bbef858a7d97e3ea23b581ef43f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1084bbef858a7d97e3ea23b581ef43f7"></a>
typedef EDGE_LIST_TYPE::iterator&#160;</td><td class="memItemRight" valign="bottom"><b>EDGE_ITERATOR</b></td></tr>
<tr class="separator:a1084bbef858a7d97e3ea23b581ef43f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd829bf209f8005cf3a204530dda0932"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd829bf209f8005cf3a204530dda0932"></a>
typedef VERTEX_LIST_TYPE::iterator&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_ITERATOR</b></td></tr>
<tr class="separator:acd829bf209f8005cf3a204530dda0932"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a774ad6a0010138c786a586c48a1ed1f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a774ad6a0010138c786a586c48a1ed1f2"></a>
typedef EDGE_TYPE::ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>ID_TYPE</b></td></tr>
<tr class="separator:a774ad6a0010138c786a586c48a1ed1f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6a8a41367ddf1b9bbcd884b90e3ec33d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a8a41367ddf1b9bbcd884b90e3ec33d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge</b> (EDGE_TYPE &amp;x)</td></tr>
<tr class="separator:a6a8a41367ddf1b9bbcd884b90e3ec33d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6627f9ba0d29ba8276dc18c683fa0c96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6627f9ba0d29ba8276dc18c683fa0c96"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge</b> (EDGE_TYPE &amp;x)</td></tr>
<tr class="separator:a6627f9ba0d29ba8276dc18c683fa0c96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace0250de70a3bb67fa4cabb0802ca396"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace0250de70a3bb67fa4cabb0802ca396"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge_consistent</b> (EDGE_TYPE &amp;x)</td></tr>
<tr class="separator:ace0250de70a3bb67fa4cabb0802ca396"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8831385a8189c661094e620199eb6e56"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8831385a8189c661094e620199eb6e56"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge_consistent</b> (EDGE_TYPE &amp;x)</td></tr>
<tr class="separator:a8831385a8189c661094e620199eb6e56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2ba14cb6f3d653ffa5bbe89964562a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2ba14cb6f3d653ffa5bbe89964562a4"></a>
ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_vertices</b> ()</td></tr>
<tr class="separator:ad2ba14cb6f3d653ffa5bbe89964562a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7beba826392b240c4905a92911d63fd9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7beba826392b240c4905a92911d63fd9"></a>
ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_edges</b> ()</td></tr>
<tr class="separator:a7beba826392b240c4905a92911d63fd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af911393351c66bc966d227dbf5eaeed0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af911393351c66bc966d227dbf5eaeed0"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>vertex_begin</b> ()</td></tr>
<tr class="separator:af911393351c66bc966d227dbf5eaeed0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a920248c1cc9bf1b0c712ce4bdf345e5a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a920248c1cc9bf1b0c712ce4bdf345e5a"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>vertex_end</b> ()</td></tr>
<tr class="separator:a920248c1cc9bf1b0c712ce4bdf345e5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2cc91b75260633a135992bf40be6510"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2cc91b75260633a135992bf40be6510"></a>
EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>edge_begin</b> ()</td></tr>
<tr class="separator:ae2cc91b75260633a135992bf40be6510"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6affd7f5350831995924537b5a6e8a24"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6affd7f5350831995924537b5a6e8a24"></a>
EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>edge_end</b> ()</td></tr>
<tr class="separator:a6affd7f5350831995924537b5a6e8a24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb15cee478f4553ce637d0ed000533bb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb15cee478f4553ce637d0ed000533bb"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>get_indexed_veretex</b> (ID_TYPE &amp;id)</td></tr>
<tr class="separator:abb15cee478f4553ce637d0ed000533bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a955b5c4f9a4717027ed21f5d2a2c2d46"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a955b5c4f9a4717027ed21f5d2a2c2d46"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>veretex</b> (ID_TYPE &amp;id)</td></tr>
<tr class="separator:a955b5c4f9a4717027ed21f5d2a2c2d46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf5a7d501256a8488698a123819f96f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf5a7d501256a8488698a123819f96f2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>init</b> ()</td></tr>
<tr class="separator:abf5a7d501256a8488698a123819f96f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48e097010cfb1195886525f333f0bf1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48e097010cfb1195886525f333f0bf1b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_directed</b> ()</td></tr>
<tr class="separator:a48e097010cfb1195886525f333f0bf1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a25af941ed26e85fc66ccf8178b553386"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a25af941ed26e85fc66ccf8178b553386"></a>
VERTEX_LIST_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>verticesList</b></td></tr>
<tr class="separator:a25af941ed26e85fc66ccf8178b553386"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6707a9f9d570ceea9c8f696aaf040f4c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6707a9f9d570ceea9c8f696aaf040f4c"></a>
EDGE_LIST_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>edgesList</b></td></tr>
<tr class="separator:a6707a9f9d570ceea9c8f696aaf040f4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/standard/modules/data_structures/base/<a class="el" href="graph__seq_8hpp_source.html">graph_seq.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 26 2014 15:59:02 for TIPregelGraphLibrary by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
